> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/gateway/connection-limit-ips.md).

# Connection Limit IPs

## Add

> Add an IP to the IP List of the ConnectionLimit settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/Gateway/{id}/ConnectionLimit/IPs":{"post":{"tags":["0-Infrastructure/Secure Gateways/Connection Limit//IP"],"summary":"Add","description":"Add an IP to the IP List of the ConnectionLimit settings.","operationId":"45328692-24c2-4c8f-86f5-ba891d672e04","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to modify the ConnectionLimit settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"IP configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AddConnectionLimitIP"}}}},"responses":{"201":{"description":"Created"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AddConnectionLimitIP":{"required":["ip","ipType"],"type":"object","properties":{"ip":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Value that represents the IP</para>","nullable":true},"ipType":{"$ref":"#/components/schemas/IPVersion"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Add an IP to the Connection Limit IP list</para>\r\n<para type=\"description\"></para>"},"IPVersion":{"enum":[["0 = Version4","1 = Version6","2 = BothVersions"]],"type":"string","description":"<para type=\"synopsis\">IP Version</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Remove

> Remove an IP from the IP List of the ConnectionLimit settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/Gateway/{id}/ConnectionLimit/IPs":{"delete":{"tags":["0-Infrastructure/Secure Gateways/Connection Limit//IP"],"summary":"Remove","description":"Remove an IP from the IP List of the ConnectionLimit settings.","operationId":"908c078a-9f12-4bca-8948-608f982034a0","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to modify the ConnectionLimit settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"IP configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RemoveConnectionLimitIP"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RemoveConnectionLimitIP":{"required":["ip","ipType"],"type":"object","properties":{"ip":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Value that represents the IP</para>","nullable":true},"ipType":{"$ref":"#/components/schemas/IPVersion"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Remove an IP from the Connection Limit IP list</para>\r\n<para type=\"description\"></para>"},"IPVersion":{"enum":[["0 = Version4","1 = Version6","2 = BothVersions"]],"type":"string","description":"<para type=\"synopsis\">IP Version</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Add

> Add an IP to the IP List of the ConnectionLimit settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/GatewayDefaultSettings/ConnectionLimit/IPs":{"post":{"tags":["0-Infrastructure/Secure Gateways/Connection Limit//IP"],"summary":"Add","description":"Add an IP to the IP List of the ConnectionLimit settings.","operationId":"28fa77f2-2cd8-46eb-b395-4bd88daaa6e9","parameters":[{"name":"siteId","in":"query","description":"The Site ID of an object for which to modify the ConnectionLimit settings (optional).","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"IP configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AddConnectionLimitIP"}}}},"responses":{"201":{"description":"Created"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AddConnectionLimitIP":{"required":["ip","ipType"],"type":"object","properties":{"ip":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Value that represents the IP</para>","nullable":true},"ipType":{"$ref":"#/components/schemas/IPVersion"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Add an IP to the Connection Limit IP list</para>\r\n<para type=\"description\"></para>"},"IPVersion":{"enum":[["0 = Version4","1 = Version6","2 = BothVersions"]],"type":"string","description":"<para type=\"synopsis\">IP Version</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Remove

> Remove an IP from the IP List of the ConnectionLimit settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/GatewayDefaultSettings/ConnectionLimit/IPs":{"delete":{"tags":["0-Infrastructure/Secure Gateways/Connection Limit//IP"],"summary":"Remove","description":"Remove an IP from the IP List of the ConnectionLimit settings.","operationId":"775cd201-66d0-49fa-bcd7-f00e60277961","parameters":[{"name":"siteId","in":"query","description":"The Site ID of an object for which to modify the ConnectionLimit settings (optional).","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"IP configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RemoveConnectionLimitIP"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RemoveConnectionLimitIP":{"required":["ip","ipType"],"type":"object","properties":{"ip":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Value that represents the IP</para>","nullable":true},"ipType":{"$ref":"#/components/schemas/IPVersion"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Remove an IP from the Connection Limit IP list</para>\r\n<para type=\"description\"></para>"},"IPVersion":{"enum":[["0 = Version4","1 = Version6","2 = BothVersions"]],"type":"string","description":"<para type=\"synopsis\">IP Version</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/gateway/connection-limit-ips.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
